Jupiter ERP
Account API

Get Bank Transaction

/api/account/bank-transactions/{id}

GETHTTP
get/api/account/bank-transactions/{id}

Example request

GET https://api.jupiter-erp.com/api/account/bank-transactions/example-id

Code
curl -X GET 'https://api.jupiter-erp.com/api/account/bank-transactions/example-id' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'X-Account-Uuid: YOUR_ACCOUNT_UUID' \
  -H 'Accept: application/json'

Parameters

NameInRequiredDescription
idpathyes

Responses

200OK
FieldTypeDescription
amount_assignable_cents*integerAmount in cents that can still be assigned to payables (0 when fully assigned, private, or no assignment required)
amount_cents*integerSigned; positive = credit, negative = debit
assignment_status*stringDerived from allocations, linked transfer, is_private, and is_no_assignment_required. open, partially_assigned, fully_assigned, private, no_assignment_required, transfer

string

  • open
  • partially_assigned
  • fully_assigned
  • private
  • no_assignment_required
  • transfer
auto_detected*booleanAutomatically detected e.g. by import or matching
bank_account_id*integer
counterparty_account_numberstring
counterparty_bank_codestring
counterparty_namestring
created_atstring (date-time)Creation timestamp in ISO 8601 format.
currency_codestring
external_idstring
id*integer
is_no_assignment_required*booleanUser-marked as not requiring document assignment (e.g. zero-amount transactions)
is_private*booleanUser-marked as private (no business assignment)
linked_transferobjectSummary of the paired bank transaction in an internal account transfer (Umbuchung).

Summary of the paired bank transaction in an internal account transfer (Umbuchung).

FieldTypeDescription
amount_cents*integerSigned; positive = credit, negative = debit
bank_account_id*integer
counterparty_namestring
currency_codestring
id*integer
referencestring
transaction_date*stringTimestamp in W3C format, will be saved in UTC time +00:00
locked_atstringTimestamp in W3C format, will be saved in UTC time +00:00
memostring
referencestring
source*stringmanual, csv, api
transaction_date*stringTimestamp in W3C format, will be saved in UTC time +00:00
updated_atstring (date-time)Last update timestamp in ISO 8601 format.
value_datestringDate in Y-m-d format
Example response
{
  "id": 0,
  "bank_account_id": 0,
  "transaction_date": "2025-01-14T13:51:15.000Z",
  "value_date": "2025-01-14T00:00:00.000Z",
  "amount_cents": 0,
  "currency_code": "string",
  "source": "string",
  "assignment_status": "open",
  "amount_assignable_cents": 0,
  "is_private": true,
  "is_no_assignment_required": true,
  "auto_detected": true
}
Bank Transactions

Questions about integration?

GET /api/account/bank-transactions/{id} · Jupiter ERP